#!/usr/bin/webif-page
<? 
. /usr/lib/webif/webif.sh

header "Router Status"

config_load fon
. /tmp/network-config

get_default mode wan mode
case "$FORM_mode" in
	static)
		mode="Static"
	;;
	dhcp)
		mode="DHCP"
	;;
	pppoe)
		mode="PPPoE"
	;;
	pptp)
		mode="PPTP"
	;;
	*) mode="Unknown";;
esac

config_get pubssid public essid
config_get privssid private essid
config_get encryption private encryption
priv_ip="$(ifconfig ath1 | grep inet | awk -F'[: ]+' '{print $4}')"
wan_ip="$(ifconfig "${wan_ifname:-eth0}" | grep inet | awk -F'[: ]+' '{print $4}')"
wan_gw="$(route -n | grep '^0.0.0.0' | awk '{print $2}')"
wan_ns=
for ns in $(grep nameserver /etc/resolv.conf | awk '{print $2}'); do
	wan_ns="${wan_ns:+$wan_ns, }$ns"
done
version="$(cat /etc/fon_version) r$(cat /etc/fon_revision)"

cat <<EOF
<table width="70%">
<tr><td colspan="2"><p><strong>@TR<<Configuration summary>></strong></p></td></tr>
<tr><td>@TR<<Firmware Version>>:</td><td>$version</td></tr>
<tr><td colspan="2"><p><hr /></p></td></tr>

<tr><td colspan="2"><p><strong>@TR<<Internet connection>></strong></p></td></tr>
<tr><td>@TR<<Connection type>>:</td><td>$mode</td></tr>
<tr><td>@TR<<IP Address>>:</td><td>${wan_ip:-N/A}</td></tr>
<tr><td>@TR<<Gateway address>>:</td><td>${wan_gw:-N/A}</td></tr>
<tr><td>@TR<<DNS Server>>:</td><td>${wan_ns:-N/A}</td></tr>
</td></tr>

<tr><td colspan="2"><hr /></td></tr>

<tr><td colspan="2"><p><strong>@TR<<WiFi Settings>></strong></p></td></tr>
<tr><td>@TR<<Public SSID>>:</td><td>FON_$pubssid</td></tr>
<tr><td>@TR<<Private SSID>>:</td><td>$privssid</td></tr>
<tr><td>@TR<<Encryption>>:</td><td>${encryption:-none}</td></tr>
<tr><td>@TR<<IP Address>>:</td><td>${priv_ip:-N/A}</td></tr>
</td><tr><td colspan="2"><p><hr /></p></td></tr>
</table>
EOF


footer ?>
