#!/usr/bin/webif-page
<?
. /usr/lib/webif/webif.sh

validate <<EOF
user|FORM_submit|@TR<<Submit>>||$FORM_submit
EOF

if [ "$?" != "0" ]
then
	FORM_submit=""
fi


config_load fon
if empty "$FORM_submit"; then
	get_default ipaddr lan ipaddr
	get_default netmask lan netmask
	get_default dhcp lan dhcp
	get_default lan_wan access lan_wan
	get_default hs_lan access hotspot_lan
	get_default hs_wan access hotspot_wan
else

validate <<EOF
ip|FORM_ipaddr|@TR<<IP Address>>|required|$FORM_ipaddr
ip|FORM_netmask|@TR<<Netmask>>|required|$FORM_netmask
int|FORM_dhcp|@TR<<DHCP Server>>|required|$FORM_dhcp
int|FORM_lan_wan|@TR<<Private->WAN>>|required|$FORM_lan_wan
int|FORM_hs_lan|@TR<<Public->Private>>|required|$FORM_hs_lan
int|FORM_hs_wan|@TR<<Public->WAN>>|required|$FORM_hs_wan
EOF

	equal "$?" 0 && {
		save_setting fon lan ipaddr "$FORM_ipaddr"
		save_setting fon lan netmask "$FORM_netmask"
		save_setting fon lan dhcp "$FORM_dhcp"
		save_setting fon access lan_wan "$FORM_lan_wan"
		save_setting fon access hotspot_lan "$FORM_hs_lan"
		save_setting fon access hotspot_wan "$FORM_hs_wan"
		commit_settings
		lock -u /var/run/restart-services
		lock -u /var/run/network-connection
		SAVED=1
	}
fi

	
sel_net=1
. /usr/lib/webif/advanced.sh
header "Advanced Network Settings"

display_form <<EOF
	infotable|Private Wireless IP Settings
	start_table|0|10|5
		add_row
			add_label_cell|@TR<<IP Address>>
			add_input_cell|ipaddr|$FORM_ipaddr|tableTextButton
		end_row
		add_row
			add_label_cell|@TR<<Netmask>>
			add_input_cell|netmask|$FORM_netmask|tableTextButton
		end_row
		add_row
			add_label_cell|@TR<<DHCP Server>>
			start_select_cell|dhcp|$FORM_dhcp|tableTextSelect
				option|1|@TR<<enabled>>
				option|0|@TR<<disabled>>
			end_select_cell
		end_row
	end_table

	infotable|Firewall settings
	infotable|FirewallInfo#Here you can configure the access policies between your different networks.
	start_table|0|10|5
		add_row
			add_label_cell|@TR<<Public->Private>>
			start_select_cell|hs_lan|$FORM_hs_lan|tableTextSelect
				option|1|@TR<<Allow>>
				option|0|@TR<<Deny>>
			end_select_cell
		end_row
		add_row
			add_label_cell|@TR<<Public->WAN>>
			start_select_cell|hs_wan|$FORM_hs_wan|tableTextSelect
				option|1|@TR<<Allow>>
				option|0|@TR<<Deny>>
			end_select_cell
		end_row
		add_row
			add_label_cell|@TR<<Private->WAN>>
			start_select_cell|lan_wan|$FORM_lan_wan|tableTextSelect
				option|1|@TR<<Allow>>
				option|0|@TR<<Deny>>
			end_select_cell
		end_row
	end_table
	start_table|0|10|5
		add_row
			add_button_cell|submit|@TR<<Submit>>|tableTextButton
		end_row
	end_table
EOF

footer ?>


